/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-31 17:19:06.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service.impl;

import cn.com.qmth.examcloud.app.service.FileService;
import cn.com.qmth.examcloud.support.fss.FssProperty;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

/**
 * 文件服务接口
 *
 * @author: QMTH
 * @since: 2018/7/16
 */
@Service
public class FileServiceImpl implements FileService {

    private static final Logger log = LoggerFactory.getLogger(FileServiceImpl.class);

    // @Autowired
    // private SysProperty sysProperty;

    @Override
    public String downloadPaperAnswer(String filePath) throws Exception {
        //封装请求参数
        return String.format("%s/%s", FssProperty.FSS_URL_PREFIX, filePath);
    }

}